﻿using Windows.Foundation;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Input;

namespace Chapter6
{
    public sealed partial class MainPage : Page
    {
        // The transform state at the beginning of the current gesture:
        Point startingTranslation;
        double startingRotation;
        double startingScale;

        public MainPage()
        {
            InitializeComponent();
        }

        void Image_ManipulationStarted(object sender,
                                       ManipulationStartedRoutedEventArgs e)
        {
            // Capture the initial state so Cumulative values can be added to these:
            startingTranslation = new Point
            {
                X = transform.TranslateX,
                Y = transform.TranslateY
            };
            startingRotation = transform.Rotation;
            startingScale = transform.ScaleX; // Same as ScaleY
        }

        void Image_ManipulationDelta(object sender,
                                     ManipulationDeltaRoutedEventArgs e)
        {
            // Update the transform
            transform.TranslateX = startingTranslation.X + e.Cumulative.Translation.X;
            transform.TranslateY = startingTranslation.Y + e.Cumulative.Translation.Y;
            transform.Rotation = startingRotation + e.Cumulative.Rotation;
            transform.ScaleX = transform.ScaleY = startingScale * e.Cumulative.Scale;
        }
    }
}