﻿using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Navigation;

namespace Chapter7
{
    public sealed partial class RootGrid : Grid
    {
        Frame frame;

        public RootGrid(Frame f)
        {
            InitializeComponent();
            this.frame = f;

            // Add the Frame to the middle cell of the Grid
            Grid.SetRow(this.frame, 1);
            Grid.SetColumn(this.frame, 1);
            this.Children.Add(this.frame);

            this.frame.Navigated += Frame_Navigated;
        }

        void Frame_Navigated(object sender, NavigationEventArgs e)
        {
            if (this.frame != null)
            {
                // Keep the enabled/disabled state of the buttons relevant
                this.BackButton.IsEnabled = this.frame.CanGoBack;
                this.ForwardButton.IsEnabled = this.frame.CanGoForward;
            }
        }

        void BackButton_Click(object sender, RoutedEventArgs e)
        {
            if (this.frame != null && this.frame.CanGoBack)
                this.frame.GoBack();
        }

        void ForwardButton_Click(object sender, RoutedEventArgs e)
        {
            if (this.frame != null && this.frame.CanGoForward)
                this.frame.GoForward();
        }
    }
}