﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading.Tasks;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.Media.Capture;
using Windows.Storage;
using Windows.Storage.Streams;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace CaptureVideo
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        IRandomAccessStream stream;

        public MainPage()
        {
            this.InitializeComponent();
            CaptureVideo();
        }

        async Task CaptureVideo()
        {
            CameraCaptureUI camera = new CameraCaptureUI();
            try
            {
                // Get an MP4 video from the camera
                StorageFile file = await camera.CaptureFileAsync(CameraCaptureUIMode.Video);
                if (file != null)
                {
                    this.stream = await file.OpenAsync(FileAccessMode.Read);

                    // Load the data into the MediaElement
                    this.video.SetSource(stream, file.ContentType);

                    // Don't dispose the stream until MediaOpened is raised!
                }
            }
            catch
            {
                // CaptureFileAsync throws if the app is snapped!
            }
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.  The Parameter
        /// property is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
        }
    }
}
