﻿using System;
using System.Diagnostics;
using System.Threading.Tasks;
using Windows.UI.Xaml.Controls;
using Windows.Web.Syndication;

namespace RssReader
{
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            InitializeComponent();
            FillContentAsync();
        }

        async Task FillContentAsync()
        {
            SyndicationClient client = new SyndicationClient();
            try
            {
                SyndicationFeed feed = await client.RetrieveFeedAsync(
                  new Uri("http://engadget.com/rss.xml"));

                this.DataContext = feed;
            }
            catch
            {
                // Handle any errors, such as a 404 from an unavailable site
                Debugger.Break();
            }
        }

        void ListView_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (e.AddedItems.Count == 0)
                return;

            // Show the selected item's content in the WebView because it is HTML
            this.webView.NavigateToString(
              (e.AddedItems[0] as SyndicationItem).Summary.Text);
        }
    }
}