﻿using Windows.UI.ApplicationSettings;
using Windows.UI.Popups;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace Chapter19
{
    public sealed partial class CustomSettingsPane : UserControl
    {
        public CustomSettingsPane()
        {
            InitializeComponent();

            // Detach the Popup so the PaneThemeTransition kicks in next time
            this.Content = null;

            // Keep the pane's height equal to the screen height
            this.LayoutUpdated += (sender, e) => this.grid.Height = this.ActualHeight;
        }

        public void Show(IUICommand command)
        {
            // Reattach and open the popup
            this.Content = this.popup;
            this.popup.IsOpen = true;

            // TODO: Potentially change the contents based on the chosen command
        }

        void Popup_Closed(object sender, object e)
        {
            // Detach the Popup so the PaneThemeTransition kicks in next time
            this.Content = null;
        }

        void BackButton_Click(object sender, RoutedEventArgs e)
        {
            // Go "back" to the Settings pane
            SettingsPane.Show();
        }
    }
}